ETSF_IO(1)

NAME
ETSF_IO library - manual page for etsf_io command line tool

SYNOPSIS
etsf_io [-h | -a action] [[-i file]...] [[-f flag]...] [-o file] [arguments]

DESCRIPTION

Handle ETSF files, see --action option.

-h --help : show this little help.

-a --action value : give the action to perform.

Possible action may be:

         * 'merge' to gather several files that have been splitted.

         * 'content' to get the name of specifications the file matches.

         * 'check' to check the validity of the file against specifications.

-o --output-file file : give the path to the output ETSF file.

-i --input-file file : give the path for an input file.
                        This option can be used one or several times.

-l --list : when action is check, it give the list of available flags.

-f --flag value : give a flag name (get valid names from -l option).

EXAMPLES
Merge three files, etsf_io -a merge -i file1.nc -i file2.nc -i file3.nc -o output.nc

Get the contents of file test.nc, etsf_io -a content test.nc

Get the list of flags for validity checks, etsf_io -a check -l

Checks with two flags, etsf_io -a check -f flag1 -f flag2 test.nc

AUTHOR
ETSF_IO library was written by Damien Caliste, Valerio Oleva, Yann Pouillon and Matthieu Verstaete.

This manual page was written by Damien Caliste <damien.caliste@cea.fr>.